RagTime5StyleManager Class Reference documentation

RagTime5StyleManager Class Reference

basic class used to read/store RagTime 5/6 styles More...

`#include <RagTime5StyleManager.hxx>`

## Classes
struct | GraphicStyle
| the graphic style of a RagTime v5-v6 document More...
struct | TextStyle
| the text style of a RagTime v5-v6 document More...

## Public Member Functions
| RagTime5StyleManager (RagTime5Document &doc)
| constructor
| ~RagTime5StyleManager ()
| destructor
bool | readGraphicColors (RagTime5ClusterManager::Cluster &cluster)
| try to read a graphic color zone
bool | readGraphicStyles (RagTime5ClusterManager::Cluster &cluster)
| try to read a main graphic styles
bool | readTextStyles (RagTime5ClusterManager::Cluster &cluster)
| try to read a main text styles
bool | readFormats (RagTime5ClusterManager::Cluster &cluster)
| try to read the list of format
bool | updateSurfaceStyle (int graphicId, MWAWGraphicStyle &surfaceStyle) const
| updates a graphic style
bool | updateFrameStyle (int graphicId, MWAWGraphicStyle &surfaceStyle) const
| updates a graphic style (used for textbox)
bool | updateBorderStyle (int graphicId, MWAWGraphicStyle &borderStyle, bool isLine) const
| updates a graphic style(border)
bool | getLineColor (int graphicId, MWAWColor &color) const
| returns the line color corresponding to a graphic style
bool | updateTextStyles (int textId, MWAWFont &font, MWAWParagraph &para, MWAWSection &section, double totalWidth=0) const
| update the font and the paragraph properties using a text style
bool | getCellBorder (int graphicId, MWAWBorder &border) const
| returns a cell border
bool | getCellBackgroundColor (int graphicId, MWAWColor &color) const
| returns the cell background
bool | updateCellFormat (int formatId, MWAWCell &cell) const
| updates the cell format

## Static Public Member Functions
static std::string | printType (unsigned long fileType)
| debug: print a file type

## Protected Member Functions
void | updateTextStyles (size_t id, RagTime5StyleManager::TextStyle const &style, std::vector< RagTime5StyleManager::TextStyle > const &listReadStyles, std::multimap< size_t, size_t > const &idToChildIpMap, std::set< size_t > &seens)
| recursive function use to update the style list
void | updateGraphicStyles (size_t id, RagTime5StyleManager::GraphicStyle const &style, std::vector< RagTime5StyleManager::GraphicStyle > const &listReadStyles, std::multimap< size_t, size_t > const &idToChildIpMap, std::set< size_t > &seens)
| recursive function use to update the style list

## Protected Attributes
RagTime5Document & | m_document
| the parser
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< RagTime5StyleManagerInternal::State > | m_state
| the state

## Private Member Functions
| RagTime5StyleManager (RagTime5StyleManager const &orig)=delete
RagTime5StyleManager | operator= (RagTime5StyleManager const &orig)=delete

## Friends
class | RagTime5Document

## Detailed Description

basic class used to read/store RagTime 5/6 styles

## Constructor & Destructor Documentation

## ◆ RagTime5StyleManager() [1/2]

RagTime5StyleManager::RagTime5StyleManager | ( | RagTime5Document & | doc | ) |
| explicit

constructor

Referenced by operator=(), and RagTime5StyleManager().

## ◆ ~RagTime5StyleManager()

RagTime5StyleManager::~RagTime5StyleManager | ( |  | ) |

destructor

## ◆ RagTime5StyleManager() [2/2]

RagTime5StyleManager::RagTime5StyleManager | ( | RagTime5StyleManager const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ getCellBackgroundColor()

bool RagTime5StyleManager::getCellBackgroundColor | ( | int | graphicId,
|  | MWAWColor & | color ) const

returns the cell background

## ◆ getCellBorder()

bool RagTime5StyleManager::getCellBorder | ( | int | graphicId,
|  | MWAWBorder & | border ) const

returns a cell border

## ◆ getLineColor()

bool RagTime5StyleManager::getLineColor | ( | int | graphicId,
|  | MWAWColor & | color ) const

returns the line color corresponding to a graphic style

Referenced by updateTextStyles().

## ◆ operator=()

RagTime5StyleManager RagTime5StyleManager::operator= | ( | RagTime5StyleManager const & | orig | ) |
| privatedelete

## ◆ printType()

std::string RagTime5StyleManager::printType | ( | unsigned long | fileType | ) |
| inlinestatic

debug: print a file type

Referenced by RagTime5StyleManager::GraphicStyle::read(), and RagTime5StyleManager::TextStyle::read().

## ◆ readFormats()

bool RagTime5StyleManager::readFormats | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read the list of format

## ◆ readGraphicColors()

bool RagTime5StyleManager::readGraphicColors | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a graphic color zone

## ◆ readGraphicStyles()

bool RagTime5StyleManager::readGraphicStyles | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a main graphic styles

## ◆ readTextStyles()

bool RagTime5StyleManager::readTextStyles | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a main text styles

## ◆ updateBorderStyle()

bool RagTime5StyleManager::updateBorderStyle | ( | int | graphicId,
|  | MWAWGraphicStyle & | borderStyle,
|  | bool | isLine ) const

updates a graphic style(border)

## ◆ updateCellFormat()

bool RagTime5StyleManager::updateCellFormat | ( | int | formatId,
|  | MWAWCell & | cell ) const

updates the cell format

## ◆ updateFrameStyle()

bool RagTime5StyleManager::updateFrameStyle | ( | int | graphicId,
|  | MWAWGraphicStyle & | surfaceStyle ) const

updates a graphic style (used for textbox)

## ◆ updateGraphicStyles()

void RagTime5StyleManager::updateGraphicStyles | ( | size_t | id,
|  | RagTime5StyleManager::GraphicStyle const & | style,
|  | std::vector< RagTime5StyleManager::GraphicStyle > const & | listReadStyles,
|  | std::multimap< size_t, size_t > const & | idToChildIpMap,
|  | std::set< size_t > & | seens )
| protected

recursive function use to update the style list

Referenced by readGraphicStyles(), and updateGraphicStyles().

## ◆ updateSurfaceStyle()

bool RagTime5StyleManager::updateSurfaceStyle | ( | int | graphicId,
|  | MWAWGraphicStyle & | surfaceStyle ) const

updates a graphic style

## ◆ updateTextStyles() [1/2]

bool RagTime5StyleManager::updateTextStyles | ( | int | textId,
|  | MWAWFont & | font,
|  | MWAWParagraph & | para,
|  | MWAWSection & | section,
|  | double | totalWidth = 0 ) const

update the font and the paragraph properties using a text style

Referenced by readTextStyles(), and updateTextStyles().

## ◆ updateTextStyles() [2/2]

void RagTime5StyleManager::updateTextStyles | ( | size_t | id,
|  | RagTime5StyleManager::TextStyle const & | style,
|  | std::vector< RagTime5StyleManager::TextStyle > const & | listReadStyles,
|  | std::multimap< size_t, size_t > const & | idToChildIpMap,
|  | std::set< size_t > & | seens )
| protected

recursive function use to update the style list

## Friends And Related Symbol Documentation

## ◆ RagTime5Document

friend class RagTime5Document
| friend

Referenced by RagTime5Document, and RagTime5StyleManager().

## Member Data Documentation

## ◆ m_document

RagTime5Document& RagTime5StyleManager::m_document
| protected

the parser

Referenced by RagTime5StyleManager(), readFormats(), readGraphicColors(), readGraphicStyles(), and readTextStyles().

## ◆ m_parserState

MWAWParserStatePtr RagTime5StyleManager::m_parserState
| protected

the parser state

Referenced by RagTime5StyleManager(), and readTextStyles().

## ◆ m_state

std::shared_ptr<RagTime5StyleManagerInternal::State> RagTime5StyleManager::m_state
| protected

the state

Referenced by getCellBackgroundColor(), getCellBorder(), getLineColor(), RagTime5StyleManager(), readFormats(), readGraphicColors(), readGraphicStyles(), readTextStyles(), updateBorderStyle(), updateCellFormat(), updateFrameStyle(), updateGraphicStyles(), updateSurfaceStyle(), updateTextStyles(), and updateTextStyles().

The documentation for this class was generated from the following files:

- RagTime5StyleManager.hxx
- RagTime5StyleManager.cxx